Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.dataobjs
Class DBKeySet

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractSet<E>
              java.util.TreeSet
                  com.knowgate.dataobjs.DBKeySet

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.NavigableSet, java.util.Set, java.util.SortedSet

    public class DBKeySet

extends java.util.TreeSet

Load a primary keys set from the database into a java.util.TreeSet

See Also:
  Serialized Form

Constructor Summary
`DBKeySet(java.lang.String sTableName, java.lang.String sColumnName, java.lang.String sWhereClause, int iLimit)`

Method Summary
`int` | `count(JDCConnection oConn)`
`int` | `load(JDCConnection oConn)` Load primary keys from the database to this TreeSet
`int` | `load(JDCConnection oConn, java.lang.Object[] aParams)` Load primary keys from the database to this TreeSet

Methods inherited from class java.util.TreeSet
`add, addAll, ceiling, clear, clone, comparator, contains, descendingIterator, descendingSet, first, floor, headSet, headSet, higher, isEmpty, iterator, last, lower, pollFirst, pollLast, remove, size, subSet, subSet, tailSet, tailSet`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`containsAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`containsAll, equals, hashCode, removeAll, retainAll, toArray, toArray`

Constructor Detail

### DBKeySet

    public DBKeySet(java.lang.String sTableName,
                    java.lang.String sColumnName,
                    java.lang.String sWhereClause,
                    int iLimit)

Parameters:
  `sTableName` - Table Name
  `sColumnName` - Column Name
  `sWhereClause` - SQL WHERE clause
  `iLimit` - Absolute maximum number of primary key to be loaded

Method Detail

### load

    public int load(JDCConnection oConn)
             throws java.sql.SQLException

  Load primary keys from the database to this TreeSet

  Parameters:
    `oConn` - JDBC Database Connection
  Returns:
    Number of keys actually readed
  Throws:
    `java.sql.SQLException`

### load

    public int load(JDCConnection oConn,
                    java.lang.Object[] aParams)
             throws java.sql.SQLException

  Load primary keys from the database to this TreeSet

  Parameters:
    `oConn` - JDBC Database Connection
    `aParams` - Parameters to be binded to prepared SQL
  Returns:
    Number of keys actually readed
  Throws:
    `java.sql.SQLException`

### count

    public int count(JDCConnection oConn)
              throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD